When will update with packagekitd work again?

I have updated 4 computers to Leap15.3 and so far I am quite happy with it except for this update problem. I have further been asked by 2 people who use Mint/Ubuntu to help them install openSUSE on their computer. But at the moment I can not really recommend Leap15.3 to someone unfamiliar with command line (and this are quite a few). My 4 computers are normally updated by the people using them and I always tell them to update - especially the security updates - as soon as they are out. But they don’t know command line and I certainly won’t give them the root password. So it is a regular chore for me to go from computer to computer to update them. I have seen the question asked several times in the openSUSE mailing list without any further answers except to use zypper up for a while. Now it is nearly two weeks since openSUSE is out and I would have thought it is an urgent requirement for many users to have this update bug fixed. Not being an computer person I certainly don’t know how difficult and how time consuming this update is but I would have thought it to be high priority and we should get at least a time line. Does anyone know more about this?

This is being worked on.

I’m still seeing issues with patch SUSE-2020-2950 (wants to uninstall “python_pycryptodome”), and I know they are working on that.

The only other issue that I see is with patch SUSE-2021-985. That shows up with “zypper lp”, but if I try to install it I am told that there is nothing to do. It seems to be a ghost patch.

I have the same problem with patch SUSE-2021-985 after dup 15.2 -> 15.3. Is there a way to remove such irritating ghost patches?

use

zypper up

or Yast------Software-Installation to update.

Don’t work: :frowning:


$ **zypper clean -a**
All repositories have been cleaned up.
$ **zypper ref**
...]
$ **zypper patch**
Loading repository data...
Reading installed packages...
Resolving package dependencies...
Nothing to do.
$ **zypper up**
Loading repository data...
Reading installed packages...
Nothing to do.
$ **zypper in -f patch:SUSE-2021-985**
Loading repository data...
Reading installed packages...
'patch:SUSE-2021-985' is already installed.
Resolving package dependencies...
Nothing to do.
$ **zypper lp**
Loading repository data...
Reading installed packages...

Repository                                                   | Name          | Category    | Severity | Interactive | Status | Since | Summary
-------------------------------------------------------------+---------------+-------------+----------+-------------+--------+-------+---------------------------------------------
Update repository with updates from SUSE Linux Enterprise 15 | SUSE-2021-985 | recommended | moderate | ---         | needed | -     | Recommended update for the Azure SDK and CLI

Found 1 applicable patch:
1 patch needed (0 security patches)


Also with Yast2 it is not possible to handle SUSE-2021-985. It’s really a “ghost”.

Yes, it seems to be a ghost (and can be ignored).

Apart from that, all seems to be working.